<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Page language="c#" Codebehind="AdminExport.aspx.cs" EnableSessionState="False" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.AdminExport" %>

<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id="DescriptionDialog" runat="Server" Caption="Export" Watermark="images/water_safe.gif" >
		<p><thycotic:label runat="server" id="PasswordConfirmationMessageLabel" text="Please enter your password to confirm your identity." /></p>
		<table>
			<tr>
				<td width="150"><thycotic:FieldLabel runat="server" id="PasswordFieldLabel" Text="Password" /></td>
				<td><thycotic:TextBox runat="server" id="PasswordTextBox" TextMode="Password" /></td>
				<td>
					<thycotic:RequiredFieldValidator runat="server" id="PasswordRequiredValidator" ControlToValidate="PasswordTextBox" ErrorMessage="Please enter your password." />
					<thycotic:BusinessValidator runat="server" id="CorrectPasswordValidator" ControlToValidate="PasswordTextBox" ErrorMessage="The password entered is incorrect." />
				</td>
			</tr>
		</table>
		<p><thycotic:label runat="server" id="AdditionalNotesLabel"  text="Enter any additional notes or explanations for the export." /></p>
		<thycotic:TextBox runat="server" id="NotesTextBox" TextMode="MultiLine" Style="width: 600px; height: 125px;" />
		<br /><br />
		<thycotic:button id="BackButton" runat="server" text="Back" />
		<thycotic:button id="ExportButton" runat="server" text="Export" />
	</custom:NewDialog>
	<br/>
	<custom:NewDialog runat="Server" id="AuditLogDialog" Caption="Export Log">
		<thycotic:DataGrid runat="server" id="ExportAuditDataGrid" PageSize="5">
			<columns>
			<asp:TemplateColumn HeaderText="Date Recorded" SortExpression="DateRecorded">
				<itemtemplate>
					<thycotic:Label runat="server" id="DateRecordedLabel" />
				</itemtemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Full Name" SortExpression="DisplayName">
				<itemtemplate>
					<thycotic:Label runat="server" id="UserLabel" />
				</itemtemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="IP Address" SortExpression="IpAddress">
				<itemtemplate>
					<thycotic:Label runat="server" id="IpAddressLabel" />
				</itemtemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Notes">
				<itemtemplate>
					<thycotic:Label runat="server" id="NotesLabel" />
				</itemtemplate>
			</asp:TemplateColumn>
			</columns>
		</thycotic:DataGrid>
	</custom:NewDialog>
</ihawu:masterpage>
