IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='UserLcid'
	)
	BEGIN
		ALTER TABLE [dbo].[tbUser] 
			ADD	[UserLcid] [int] NOT NULL DEFAULT(-1)
	END
GO