IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='DomainId'
	)
	BEGIN
		ALTER TABLE [dbo].[tbUser]
			ADD	[DomainId] [INT] NULL CONSTRAINT FK_User_Domain FOREIGN KEY (DomainId) REFERENCES [dbo].[tbDomain] ([DomainId])
	END
GO

IF EXISTS (SELECT 1 FROM [dbo].tbDomain WHERE DomainId = 1)
BEGIN
	UPDATE [dbo].tbUser SET DomainId = 1
	WHERE ActiveDirectory = 1
END
GO