ALTER TABLE [dbo].[tbSecretItemHistory]
	ADD [SecretId] INT NULL

GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbSecretItemHistory_tbSecret]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbSecretItemHistory] DROP CONSTRAINT FK_tbSecretItemHistory_tbSecret
GO

ALTER TABLE [dbo].[tbSecretItemHistory] ADD 
	CONSTRAINT [FK_tbSecretItemHistory_tbSecret] FOREIGN KEY 
	(
		[SecretId]
	) REFERENCES [dbo].[tbSecret] (
		[SecretId]
	)
GO

ALTER TABLE [dbo].[tbSecretItemHistory] 
	ALTER COLUMN [SecretItemId] INT NULL
GO
