<%@ Control Language="c#" AutoEventWireup="false" Codebehind="ChangePassword.ascx.cs" Inherits="Thycotic.ihawu.Web.usercontrols.ChangePassword" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu_web" tagname="passwordstrength" src="~/secretusercontrols/PasswordStrength.ascx" %>
<%@ Register TagPrefix="ihawu_web" Namespace="Thycotic.ihawu.Web.secretusercontrols" Assembly="Thycotic.ihawu.Web" %>
<table>
	<tr>
		<td><img src="images/spacer.gif" width="10" height="1" /></td>
		<td class="SecretFieldCell"><thycotic:fieldlabel id="CurrentPasswordLabel" CssClass="LoginLabel" runat="server" Text="Current Password" /></td>
		<td></td>
		<td><thycotic:textbox id="CurrentPasswordTextBox" CssClass="LoginTextBox" textmode="password" runat="server" />
		<thycotic:RequiredFieldValidator runat="server" id="RequireCurrentPasswordValidator" ControlToValidate="CurrentPasswordTextBox" ErrorMessage="Please enter your current password." /></td>
		<thycotic:BusinessValidator runat="server" id="CurrentPasswordIsInvalid" />
		<td></td>	
	</tr>
	<tr>
		<td><img src="images/spacer.gif" width="10" height="1" /></td>
		<td class="SecretFieldCell"><thycotic:fieldlabel id="NewPasswordFieldLabel" CssClass="LoginLabel" runat="server" Text="New Password" /></td>
		<td></td>
		<td><thycotic:textbox id="NewPasswordTextBox" CssClass="LoginTextBox" textmode="password" runat="server" />
		<thycotic:RequiredFieldValidator runat="server" id="RequireNewPasswordValidator" ControlToValidate="NewPasswordTextBox" ErrorMessage="Please enter your new password." />
		<thycotic:BusinessValidator runat="server" id="NewPasswordsMustMatch" />
		<ihawu_web:PasswordValidator runat="server" id="NewPasswordValidator" ControlToValidate="NewPasswordTextBox" />
		</td>
		<td><ihawu_web:passwordstrength id="PasswordStrength1" runat="server" controltoevaluate="NewPasswordTextBox" /></td>
	</tr>
	<tr>
		<td><img src="images/spacer.gif" width="10" height="1" /></td>
		<td class="SecretFieldCell"><thycotic:fieldlabel id="ConfirmFieldLabel" runat="server" Text="Confirm Password" /></td>
		<td></td>
		<td><thycotic:textbox id="ConfirmTextBox" CssClass="LoginTextBox" textmode="password" runat="server" />
		<thycotic:RequiredFieldValidator runat="server" id="RequireConfirmNewPasswordValidator" ControlToValidate="CurrentPasswordTextBox" ErrorMessage="Please confirm your new password." />
		</td>
		<td></td>
	</tr>
	<tr>
		<td><img src="images/spacer.gif" width="10" height="1" /></td>
		<td colspan="3">
			<br/>
			<thycotic:button id="BackButton" text="Back" runat="server" />
			<thycotic:button id="ChangePasswordButton" text="Change Password" runat="server" />
		</td>
	</tr>
</table>
<script language="javascript">
addOnLoad(function() { document.getElementById('<asp:literal id="ControlToFocus" runat="server" />').focus(); });
</script>
