DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 9
SET @NewSecretTypeName = 'Web Password'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '98528333-F456-45f2-A9F9-648A172B6BFC'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 38,
		'URL', 'URL',						1,	@NewSecretTypeId, 1, 'string' ,0,	0, '11111111-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 39,
		'UserName', 'UserName',				2,	@NewSecretTypeId, 1, 'string' ,1,	0, '98522222-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 40,
		'Password', 'Password',				3,	@NewSecretTypeId, 1, 'string' ,1,	1, '9333333B-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 41,
		'Notes', 'Notes',					4,	@NewSecretTypeId, 0, 'string' ,1,	0, '24444444-2241-4a82-AC30-2E9636397F92'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END


