IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbOrganization'
			AND 
			C.Name='MayUpgrade'
	)
	BEGIN
		ALTER TABLE [dbo].[tbOrganization] 
			ADD	[MayUpgrade] [bit] NULL
	END
GO

UPDATE [dbo].[tbOrganization] SET [MayUpgrade] = 1

GO

ALTER TABLE [dbo].[tbOrganization] 
	ALTER COLUMN [MayUpgrade] [bit] NOT NULL
	
GO