<%@ Page language="c#" Codebehind="Groups.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.Groups" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<ihawu:masterpage id="masterPage" runat="server">

<custom:NewDialog id="GroupsDialog" caption="Groups" runat="server">
	<thycotic:datagrid id="GroupListDataGrid" runat="server" itemsname="Groups" >
		<columns>
			<asp:templatecolumn sortexpression="GroupName" headertext="Group Name">
				<itemtemplate>
					<thycotic:hyperlink runat="server" id="SecretHyperLink">
						<asp:image Visible="false" ImageUrl="~/images/icons/group_s.png" runat="server" border="0" valign="middle" />&nbsp;<thycotic:label id="NameLabel" runat="server" />
					</thycotic:hyperlink>
				</itemtemplate>
			</asp:templatecolumn>		
			<asp:templatecolumn sortexpression="Active" headertext="Enabled">
				<itemtemplate>
					<thycotic:label id="EnabledLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn sortexpression="MemberCount" headertext="Member Count">
				<itemtemplate>
					<thycotic:label id="MemberCountLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn sortexpression="Created" headertext="Created">
				<itemtemplate>
					<thycotic:label id="CreatedLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>

<p style="margin:20px 0 0 0"></p>
<thycotic:button id="BackButton" runat="server" text="Back"/>
<thycotic:button id="CreateNewGroupButton" text="Create New" runat="server" />
</custom:newdialog>
</ihawu:masterpage>